<!--
{
  "availability" : [
    "Apple Ads Platform API: 1.0.0 -"
  ],
  "documentType" : "symbol",
  "framework" : "Apple-Ads-Platform-API",
  "identifier" : "/documentation/Apple-Ads-Platform-API/KeywordCreate",
  "metadataVersion" : "0.1.0",
  "role" : "Object",
  "symbol" : {
    "kind" : "Object",
    "modules" : [
      "Apple Ads Platform API"
    ],
    "preciseIdentifier" : "data:apple-ads-platform-api:KeywordCreate"
  },
  "title" : "KeywordCreate"
}
-->

# KeywordCreate

The request body for creating a new Keyword object.

```
object KeywordCreate
```

## Discussion

The `KeywordCreate` object is the request payload for adding a keyword to an ad group via `POST /v1/keywords` ([`Create a Keyword`](/documentation/Apple-Ads-Platform-API/POST-keywords)), after the ad group has already been created. The `AdGroupCreate` doesn’t support keywords inline. See the properties below for field-level requirements, mutability, and defaults.

### Example

```json
{
  "adGroupId": 555666777,
  "text": "photo editor",
  "matchType": "EXACT",
  "bid": {
    "amount": "2.50",
    "currency": "USD"
  },
  "status": "ENABLED"
}
```

## Topics

### Type Aliases

[`string KeywordCreate.MatchType`](/documentation/Apple-Ads-Platform-API/KeywordCreate/MatchType-data.typealias)

The matching behavior to use when creating this keyword.

[`string KeywordCreate.Status`](/documentation/Apple-Ads-Platform-API/KeywordCreate/Status-data.typealias)

Whether this keyword is active and eligible to serve at creation.

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)